Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Akonadi QMYSQL and MariaDB 10.2> connect error
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
NismoC32
Apprentice
Apprentice


Joined: 07 Apr 2003
Posts: 197

PostPosted: Mon Aug 07, 2017 8:20 pm    Post subject: Akonadi QMYSQL and MariaDB 10.2> connect error Reply with quote

I'm unable to get kmail to work, it says:

The Akonadi personal information management service is not running. The application cannot be used without it.

When I try to start akonadi from the shell using 'akonadictl start' I get this message:

Code:
sweet@Home ~ $ akonadictl start
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
sweet@Home ~ $ akonadi.collectionattributetable                   OK
akonadi.collectionmimetyperelation                 OK
akonadi.collectionpimitemrelation                  OK
akonadi.collectiontable                            OK
akonadi.flagtable                                  OK
akonadi.mimetypetable                              OK
akonadi.parttable                                  OK
akonadi.parttypetable                              OK
akonadi.pimitemflagrelation                        OK
akonadi.pimitemtable                               OK
akonadi.pimitemtagrelation                         OK
akonadi.relationtable                              OK
akonadi.relationtypetable                          OK
akonadi.resourcetable                              OK
akonadi.schemaversiontable                         OK
akonadi.tagattributetable                          OK
akonadi.tagremoteidresourcerelationtable           OK
akonadi.tagtable                                   OK
akonadi.tagtypetable                               OK
org.kde.pim.akonadiserver: Database error: Cannot open database.
org.kde.pim.akonadiserver:   Last driver error: "QMYSQL: Unable to connect"
org.kde.pim.akonadiserver:   Last database error: "Plugin pvio_socket could not be loaded: not initialized"
QSqlQuery::exec: database not open
org.kde.pim.akonadiserver: Database error: Cannot open database.
org.kde.pim.akonadiserver:   Last driver error: "QMYSQL: Unable to connect"
org.kde.pim.akonadiserver:   Last database error: "Plugin pvio_socket could not be loaded: not initialized"
QSqlQuery::exec: database not open
org.kde.pim.akonadiserver: Unable to open database "Plugin pvio_socket could not be loaded: not initialized QMYSQL: Unable to connect"
org.kde.pim.akonadicontrol: Application 'akonadiserver' exited normally...



I'm using kmail 17.04.3 (Kontact 5.5.3)
akonadi 17.04.3
MariaDB 10.2.7-r2


I have tried going back to an earlier version of MariaDB without any improvments
I have re-emerged kmail and akonadi also.

Any Ideas ?

PS: Using Gentoo with ~amd64 keyword.

[Moderator edit: changed [quote] tags to [code] tags to preserve output layout. -Hu]


Last edited by NismoC32 on Tue Aug 08, 2017 1:04 am; edited 1 time in total
Back to top
View user's profile Send private message
NismoC32
Apprentice
Apprentice


Joined: 07 Apr 2003
Posts: 197

PostPosted: Tue Aug 08, 2017 1:03 am    Post subject: Reply with quote

Found this bug report:
https://bugs.gentoo.org/show_bug.cgi?id=626464

I used the the info in there to downgrade to 10.1.25 and I have my mail up an running again :D

The problem itself is not fixed, so I suggest to wait with upgrading to MariaDB 10.2 until this is fixed :wink:
Back to top
View user's profile Send private message
iandoug
Guru
Guru


Joined: 11 Feb 2005
Posts: 515
Location: Cape Town, South Africa

PostPosted: Tue Aug 08, 2017 11:24 am    Post subject: Reply with quote

NismoC32 wrote:
Found this bug report:
https://bugs.gentoo.org/show_bug.cgi?id=626464

I used the the info in there to downgrade to 10.1.25 and I have my mail up an running again :D

The problem itself is not fixed, so I suggest to wait with upgrading to MariaDB 10.2 until this is fixed :wink:


Thanks, worked here too.

Perhaps that release needs to be hard-masked?
_________________
Asus Sabertooth P990, AMD FX-8150, GeForce GTX 560, 16GB Ram | Asus M3A78 64, X2 6000+, PX9800 GT, 4GB Ram | Asus M4A77TD PRO, X2 245, HD4350, 4GB RAM
Back to top
View user's profile Send private message
iandoug
Guru
Guru


Joined: 11 Feb 2005
Posts: 515
Location: Cape Town, South Africa

PostPosted: Mon Aug 14, 2017 4:46 pm    Post subject: Reply with quote

Sigh

So I reboot my system (after being up for a few weeks, I guess) and now )*#)@* )#*R Kmail won't start because Akonadi.

Tried downgrading MariaDB to current stable version but no joy.

Anyone else having these problems? Or if it's only my system, what could it be?
revdep-rebuild says system is okay.

Thanks, Ian

Partial: as root

Code:

trooper ian # akonadictl start
Starting Akonadi Server...
   done.
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
trooper ian # search paths:  ("/sbin", "/bin", "/usr/sbin", "/usr/bin", "/usr/sbin", "/usr/local/sbin", "/usr/local/libexec", "/usr/libexec", "/usr/share/mysql/scripts", "/opt/mysql/libexec", "/opt/local/lib/mysql5/bin", "/opt/mysql/sbin")
Found mysql_install_db:  "/usr/share/mysql/scripts/mysql_install_db"
Found mysqlcheck:  "/usr/bin/mysqlcheck"
Database process exited unexpectedly during initial connection!
executable: "/usr/sbin/mysqld"
arguments: ("--defaults-file=/root/.local/share/akonadi/mysql.conf", "--datadir=/root/.local/share/akonadi/db_data/", "--socket=/tmp/akonadi-root.ZQcyuF/mysql.socket")
stdout: ""
stderr: "2017-08-14 18:42:26 140512016029504 [Note] /usr/sbin/mysqld (mysqld 10.1.24-MariaDB) starting as process 7097 ...
/usr/sbin/mysqld: Please consult the Knowledge Base to find out how to run mysqld as root!
2017-08-14 18:42:26 140512016029504 [ERROR] Aborting

"
exit code: 1
process error: "Unknown error"
"[
0: akonadiserver(_Z11akBacktracev+0x4a) [0x463aca]
1: akonadiserver() [0x463da8]
2: /lib64/libc.so.6(+0x32d10) [0x7feda460fd10]
3: /lib64/libc.so.6(gsignal+0x38) [0x7feda460fc88]
4: /lib64/libc.so.6(abort+0x169) [0x7feda4610f99]
5: /usr/lib64/qt4/libQtCore.so.4(_Z17qt_message_output9QtMsgTypePKc+0x85) [0x7feda5f1cb65]
6: akonadiserver(_ZN15FileDebugStream9writeDataEPKcx+0xad) [0x46602d]
7: /usr/lib64/qt4/libQtCore.so.4(_ZN9QIODevice5writeEPKcx+0x9f) [0x7feda5fbed2f]
8: /usr/lib64/qt4/libQtCore.so.4(+0x11fb26) [0x7feda5fccb26]
9: /usr/lib64/qt4/libQtCore.so.4(_ZN11QTextStreamD1Ev+0x31) [0x7feda5fd6569]
10: akonadiserver(_ZN7Akonadi6Server13DbConfigMysql19startInternalServerEv+0x1eb7) [0x4e3197]
11: akonadiserver(_ZN7Akonadi6Server13AkonadiServer20startDatabaseProcessEv+0xdd) [0x466e2d]
12: akonadiserver(_ZN7Akonadi6Server13AkonadiServer4initEv+0xb8) [0x469bf0]
13: akonadiserver() [0x550171]
14: /usr/lib64/qt4/libQtCore.so.4(_ZN7QObject5eventEP6QEvent+0x1d1) [0x7feda60518a1]
15: /usr/lib64/qt4/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x8c) [0x7feda6037bac]
16: /usr/lib64/qt4/libQtCore.so.4(_ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData+0x3a8) [0x7feda603b100]
17: /usr/lib64/qt4/libQtCore.so.4(+0x1bac4e) [0x7feda6067c4e]
18: /usr/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x23c) [0x7feda3cce6c4]
19: /usr/lib64/libglib-2.0.so.0(+0x499a0) [0x7feda3cce9a0]
20: /usr/lib64/libglib-2.0.so.0(g_main_context_iteration+0x2c) [0x7feda3ccea4c]
21: /usr/lib64/qt4/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x7e) [0x7feda6067dbe]
22: /usr/lib64/qt4/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x41) [0x7feda6036481]
23: /usr/lib64/qt4/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0x1ad) [0x7feda60367bd]
24: /usr/lib64/qt4/libQtCore.so.4(_ZN16QCoreApplication4execEv+0x99) [0x7feda603c2b1]
25: akonadiserver(main+0x2c9) [0x45ecd9]
26: /lib64/libc.so.6(__libc_start_main+0xf0) [0x7feda45fd650]
27: akonadiserver(_start+0x29) [0x45f5c9]
]
"



Partial (as user):

Code:

~ $ akonadictl start
Starting Akonadi Server...
   done.
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
~ $ search paths:  ("/usr/gnat/bin", "/usr/gnat/bin", "/usr/local/bin", "/usr/bin", "/bin", "/opt/bin", "/usr/x86_64-pc-linux-gnu/gcc-bin/5.4.0", "/usr/x86_64-pc-linux-gnu/gnat-gcc-bin/4.6", "/usr/libexec/gnat-gcc/x86_64-pc-linux-gnu/4.6", "/usr/lib64/subversion/bin", "/usr/games/bin", "/usr/sbin", "/usr/local/sbin", "/usr/local/libexec", "/usr/libexec", "/usr/share/mysql/scripts", "/opt/mysql/libexec", "/opt/local/lib/mysql5/bin", "/opt/mysql/sbin")
Found mysql_install_db:  "/usr/share/mysql/scripts/mysql_install_db"
Found mysqlcheck:  "/usr/bin/mysqlcheck"
Database process exited unexpectedly during initial connection!
executable: "/usr/sbin/mysqld"
arguments: ("--defaults-file=/home/ian/.local/share/akonadi/mysql.conf", "--datadir=/home/ian/.local/share/akonadi/db_data/", "--socket=/tmp/akonadi-ian.ZXzoYC/mysql.socket")
stdout: ""
stderr: "2017-08-14 18:43:50 140560328070976 [Note] /usr/sbin/mysqld (mysqld 10.1.24-MariaDB) starting as process 7304 ...
"
exit code: 1
process error: "Unknown error"
"[
0: akonadiserver(_Z11akBacktracev+0x4a) [0x463aca]
1: akonadiserver() [0x463da8]
2: /lib64/libc.so.6(+0x32d10) [0x7f39a4737d10]
3: /lib64/libc.so.6(gsignal+0x38) [0x7f39a4737c88]
4: /lib64/libc.so.6(abort+0x169) [0x7f39a4738f99]
5: /usr/lib64/qt4/libQtCore.so.4(_Z17qt_message_output9QtMsgTypePKc+0x85) [0x7f39a6044b65]
6: akonadiserver(_ZN15FileDebugStream9writeDataEPKcx+0xad) [0x46602d]
7: /usr/lib64/qt4/libQtCore.so.4(_ZN9QIODevice5writeEPKcx+0x9f) [0x7f39a60e6d2f]
8: /usr/lib64/qt4/libQtCore.so.4(+0x11fb26) [0x7f39a60f4b26]
9: /usr/lib64/qt4/libQtCore.so.4(_ZN11QTextStreamD1Ev+0x31) [0x7f39a60fe569]
10: akonadiserver(_ZN7Akonadi6Server13DbConfigMysql19startInternalServerEv+0x1eb7) [0x4e3197]
11: akonadiserver(_ZN7Akonadi6Server13AkonadiServer20startDatabaseProcessEv+0xdd) [0x466e2d]
12: akonadiserver(_ZN7Akonadi6Server13AkonadiServer4initEv+0xb8) [0x469bf0]
13: akonadiserver() [0x550171]
14: /usr/lib64/qt4/libQtCore.so.4(_ZN7QObject5eventEP6QEvent+0x1d1) [0x7f39a61798a1]
15: /usr/lib64/qt4/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x8c) [0x7f39a615fbac]
16: /usr/lib64/qt4/libQtCore.so.4(_ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData+0x3a8) [0x7f39a6163100]
17: /usr/lib64/qt4/libQtCore.so.4(+0x1bac4e) [0x7f39a618fc4e]
18: /usr/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x23c) [0x7f39a3df66c4]
19: /usr/lib64/libglib-2.0.so.0(+0x499a0) [0x7f39a3df69a0]
20: /usr/lib64/libglib-2.0.so.0(g_main_context_iteration+0x2c) [0x7f39a3df6a4c]
21: /usr/lib64/qt4/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x7e) [0x7f39a618fdbe]
22: /usr/lib64/qt4/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x41) [0x7f39a615e481]
23: /usr/lib64/qt4/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0x1ad) [0x7f39a615e7bd]                                                                                                                                                                           
24: /usr/lib64/qt4/libQtCore.so.4(_ZN16QCoreApplication4execEv+0x99) [0x7f39a61642b1]                                                                                                                                                                                                     
25: akonadiserver(main+0x2c9) [0x45ecd9]                                                                                                                                                                                                                                                 
26: /lib64/libc.so.6(__libc_start_main+0xf0) [0x7f39a4725650]                                                                                                                                                                                                                             
27: akonadiserver(_start+0x29) [0x45f5c9]                                                                                                                                                                                                                                                 
]
"

_________________
Asus Sabertooth P990, AMD FX-8150, GeForce GTX 560, 16GB Ram | Asus M3A78 64, X2 6000+, PX9800 GT, 4GB Ram | Asus M4A77TD PRO, X2 245, HD4350, 4GB RAM
Back to top
View user's profile Send private message
iandoug
Guru
Guru


Joined: 11 Feb 2005
Posts: 515
Location: Cape Town, South Africa

PostPosted: Mon Aug 14, 2017 5:07 pm    Post subject: Reply with quote

After going through the bug report, I decided to try re-emerging akonadi:

Code:

trooper ian # emerge kde-apps/akonadi
Calculating dependencies... done!
[ebuild  NS   ~] kde-apps/akonadi-17.04.3-r1 [1.13.1_pre20160203-r1] USE="mysql postgres xml -debug -designer {-test} -tools"
[blocks B      ] kde-apps/kdepimlibs ("kde-apps/kdepimlibs" is blocking kde-apps/akonadi-17.04.3-r1)
[blocks B      ] kde-apps/akonadi:4 ("kde-apps/akonadi:4" is blocking kde-apps/akonadi-17.04.3-r1)
[blocks B      ] kde-apps/kde-l10n ("kde-apps/kde-l10n" is blocking kde-apps/akonadi-17.04.3-r1)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (kde-apps/kde-l10n-16.12.3:5/5::gentoo, installed) pulled in by
    >=kde-apps/kde-l10n-16.12.3 required by (kde-apps/kde4-l10n-16.12.3-r1:4/4::gentoo, installed)
    >=kde-apps/kde-l10n-16.12.3 required by (kde-apps/kdemultimedia-meta-16.12.3:5/5::gentoo, installed)
    >=kde-apps/kde-l10n-16.12.3 required by (kde-apps/kdegraphics-meta-16.12.3:5/5::gentoo, installed)
    >=kde-apps/kde-l10n-16.12.3 required by (kde-apps/kdeadmin-meta-16.12.3:5/5::gentoo, installed)
    >=kde-apps/kde-l10n-16.12.3 required by (kde-apps/kdegames-meta-16.12.3:5/5::gentoo, installed)
    >=kde-apps/kde-l10n-16.12.3 required by (kde-apps/kdeutils-meta-16.12.3-r1:5/5::gentoo, installed)
    >=kde-apps/kde-l10n-16.12.3 required by (kde-apps/kdecore-meta-16.12.3:5/5::gentoo, installed)
    >=kde-apps/kde-l10n-16.12.3 required by (kde-apps/kdeedu-meta-16.12.3-r1:5/5::gentoo, installed)
    >=kde-apps/kde-l10n-16.12.3 required by (kde-apps/kdenetwork-meta-16.12.3:5/5::gentoo, installed)
    >=kde-apps/kde-l10n-16.12.3 required by (kde-apps/plasma-telepathy-meta-16.12.3:5/5::gentoo, installed)

  (kde-apps/akonadi-1.13.1_pre20160203-r1:4/4::gentoo, installed) pulled in by
    kde-apps/akonadi:4 required by (kde-apps/kdepim-common-libs-4.14.11_pre20160611-r1:4/4.14::gentoo, installed)
    kde-apps/akonadi:4 required by (kde-apps/kdepim-runtime-4.14.11_pre20160211-r1:4/4.14::gentoo, installed)
    kde-apps/akonadi:4 required by (kde-apps/kdepimlibs-4.14.11_pre20160611:4/4.14::gentoo, installed)

  (kde-apps/kdepimlibs-4.14.11_pre20160611:4/4.14::gentoo, installed) pulled in by
    >=kde-apps/kdepimlibs-4.14.11_pre20160611:4[aqua=] (>=kde-apps/kdepimlibs-4.14.11_pre20160611:4[-aqua]) required by (kde-apps/kontact-4.14.11_pre20160611:4/4.14::gentoo, installed)
    >=kde-apps/kdepimlibs-4.4:4[aqua=] (>=kde-apps/kdepimlibs-4.4:4[-aqua]) required by (kde-misc/basket-1.81:4/4::gentoo, installed)
    >=kde-apps/kdepimlibs-4.14.11_pre20160611:4[aqua=] (>=kde-apps/kdepimlibs-4.14.11_pre20160611:4[-aqua]) required by (kde-apps/kdepim-common-libs-4.14.11_pre20160611-r1:4/4.14::gentoo, installed)
    >=kde-apps/kdepimlibs-4.14.11_pre20160611:4[aqua=] (>=kde-apps/kdepimlibs-4.14.11_pre20160611:4[-aqua]) required by (kde-apps/kleopatra-4.14.11_pre20160611:4/4.14::gentoo, installed)
    >=kde-apps/kdepimlibs-4.14.3_p20161017:4[aqua=] (>=kde-apps/kdepimlibs-4.14.3_p20161017:4[-aqua]) required by (kde-frameworks/baloo-4.14.3_p20161017:4/4.14::gentoo, installed)
    >=kde-apps/kdepimlibs-4.14.3:4[aqua=] (>=kde-apps/kdepimlibs-4.14.3:4[-aqua]) required by (kde-apps/klinkstatus-16.12.3:4/16.12::gentoo, installed)
    >=kde-apps/kdepimlibs-4.14.11_pre20160611:4[aqua=] (>=kde-apps/kdepimlibs-4.14.11_pre20160611:4[-aqua]) required by (kde-apps/kmail-4.14.11_pre20160611-r1:4/4.14::gentoo, installed)
    >=kde-apps/kdepimlibs-4.14.3:4[aqua=] (>=kde-apps/kdepimlibs-4.14.3:4[-aqua]) required by (kde-apps/kgpg-16.08.3:4/16.08::gentoo, installed)
    >=kde-apps/kdepimlibs-4.14.11_pre20160211:4[aqua=,akonadi(+)] (>=kde-apps/kdepimlibs-4.14.11_pre20160211:4[-aqua,akonadi(+)]) required by (kde-apps/kdepim-runtime-4.14.11_pre20160211-r1:4/4.14::gentoo, installed)
    >=kde-apps/kdepimlibs-4.14.11_pre20160611:4[aqua=] (>=kde-apps/kdepimlibs-4.14.11_pre20160611:4[-aqua]) required by (kde-apps/korganizer-4.14.11_pre20160611:4/4.14::gentoo, installed)

  (kde-apps/akonadi-17.04.3-r1:5/5::gentoo, ebuild scheduled for merge) pulled in by
    kde-apps/akonadi



So must I uninstall kde-apps/akonadi-1.13.1_pre20160203-r1

I find that combination of interlocking blocks above rather confusing.

Thanks, Ian
_________________
Asus Sabertooth P990, AMD FX-8150, GeForce GTX 560, 16GB Ram | Asus M3A78 64, X2 6000+, PX9800 GT, 4GB Ram | Asus M4A77TD PRO, X2 245, HD4350, 4GB RAM
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6824
Location: Austria

PostPosted: Mon Aug 14, 2017 6:57 pm    Post subject: Reply with quote

Of course not, but for some unknown reason akonadi-17.04.3 is unmasked on your system and that creates the blocks.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
iandoug
Guru
Guru


Joined: 11 Feb 2005
Posts: 515
Location: Cape Town, South Africa

PostPosted: Mon Aug 14, 2017 7:14 pm    Post subject: Reply with quote

asturm wrote:
Of course not, but for some unknown reason akonadi-17.04.3 is unmasked on your system and that creates the blocks.


Mmm.

Code:

# move app-office/akonadi-server kde-apps/akonadi
kde-apps/akonadi ~amd64


Which looks like something portage wanted at some point.

Portage is currently updating some stuff (did another eix-sync in the hope of getting bugfixes), so will wait for portage to finish and then comment out that line and try again.

Thanks, Ian
_________________
Asus Sabertooth P990, AMD FX-8150, GeForce GTX 560, 16GB Ram | Asus M3A78 64, X2 6000+, PX9800 GT, 4GB Ram | Asus M4A77TD PRO, X2 245, HD4350, 4GB RAM
Back to top
View user's profile Send private message
iandoug
Guru
Guru


Joined: 11 Feb 2005
Posts: 515
Location: Cape Town, South Africa

PostPosted: Mon Aug 14, 2017 7:38 pm    Post subject: Reply with quote

Okay commented out the akonadi ~amd64, re-emerged akonadi (no issues), and restarted kmail, which then prompted me to start akonadi.

So kmail back up.... thanks ;-)

Cheers, Ian
_________________
Asus Sabertooth P990, AMD FX-8150, GeForce GTX 560, 16GB Ram | Asus M3A78 64, X2 6000+, PX9800 GT, 4GB Ram | Asus M4A77TD PRO, X2 245, HD4350, 4GB RAM
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6824
Location: Austria

PostPosted: Mon Aug 14, 2017 9:11 pm    Post subject: Reply with quote

iandoug wrote:
Code:

# move app-office/akonadi-server kde-apps/akonadi
kde-apps/akonadi ~amd64

A very long time ago (Mon Jul 27 22:23:02 2015), and only because that entry had been there in the first place.

Lessons to be learned:
1) Never forget the reason for why you added something in package.accept_keywords (make comments).
2) Never put versionless atoms into package.accept_keywords (some future version _will_ break your system or dep resolution).
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum